curs_inchstr(3X)

NAME
curs_inchstr: inchstr, inchnstr, winchstr, winchnstr, mvinchstr, mvinchnstr, mvwinchstr, mvwinchnstr - get a string of characters (and attributes) from a ncurses window

SYNOPSIS
#include <ncurses.h> int inchstr(chtype *chstr);
int inchnstr(chtype *chstr, int n);
int winchstr(WINDOW *win, chtype *chstr);
int winchnstr(WINDOW *win, chtype *chstr, int n);
int mvinchstr(int y, int x, chtype *chstr);
int mvinchnstr(int y, int x, chtype *chstr, int n);
int mvwinchstr(WINDOW *win, int y, int x, chtype *chstr);
int mvwinchnstr(WINDOW *win, int y, int x, chtype *chstr, int n);

DESCRIPTION
These routines return a NULL-terminated array of chtype quantities, starting at the current cursor position in the named window and ending at the right margin of the window. The four functions with n as the last argument, return a leading substring at most n characters long. Constants defined in <ncurses.h> can be used with the & (logical AND) operator to extract the character or the attribute alone from any position in the chstr [see curs_inch(3X)].

RETURN VALUE
All routines return the integer ERR upon failure and an integer value other than ERR upon successful completion.

NOTES
Note that all routines except winchnstr may be macros.

SEE ALSO
ncurses(3X), curs_inch(3X).